Loading...
Searching...
No Matches
DfsVisit< GR, VS, TR >::SetReachedMap< T > Struct Template Reference

## Detailed Description

template<typename GR, typename VS, typename TR>
template<class T>
struct lemon::DfsVisit< GR, VS, TR >::SetReachedMap< T >

Named parameter for setting ReachedMap type.

`#include <lemon/dfs.h>`

Inheritance diagram for DfsVisit< GR, VS, TR >::SetReachedMap< T >:
[legend]

## Additional Inherited Members

Public Types inherited from DfsVisit< Digraph, Visitor, SetReachedMapTraits< T > >
typedef SetReachedMapTraits< T > | Traits
| The traits class.
typedef Traits::Digraph | Digraph
| The type of the digraph the algorithm runs on.
typedef Visitor | Visitor
| The visitor type used by the algorithm.
typedef Traits::ReachedMap | ReachedMap
| The type of the map that indicates which nodes are reached.
Public Member Functions inherited from DfsVisit< Digraph, Visitor, SetReachedMapTraits< T > >
| DfsVisit (const Digraph &digraph, Visitor &visitor)
| Constructor.
| ~DfsVisit ()
| Destructor.
DfsVisit & | reachedMap (ReachedMap &m)
| Sets the map that indicates which nodes are reached.
void | init ()
| Initializes the internal data structures.
void | addSource (Node s)
| Adds a new source node.
Arc | processNextArc ()
| Processes the next arc.
Arc | nextArc () const
| Next arc to be processed.
bool | emptyQueue () const
| Returns `false` if there are nodes to be processed.
int | queueSize () const
| Returns the number of the nodes to be processed.
void | start ()
| Executes the algorithm.
void | start (Node t)
| Executes the algorithm until the given target node is reached.
Arc | start (const AM &am)
| Executes the algorithm until a condition is met.
void | run (Node s)
| Runs the algorithm from the given source node.
bool | run (Node s, Node t)
| Finds the DFS path between `s` and `t`.
void | run ()
| Runs the algorithm to visit all nodes in the digraph.
bool | reached (Node v) const
| Checks if the given node is reached from the root(s).